package com.zd.chemical.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;

/**
 * 化学品分类对象 hxp_chemical_classify
 *
 * @author zd
 * @date 2022-06-16
 */
@ApiModel("化学品分类")
public class HxpChemicalClassify extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 父级id */
    @Excel(name = "父级id")
    @ApiModelProperty(value = "父级id")
    private Long parentId;
    /** 祖级列表 */
    @Excel(name = "祖级列表")
    @ApiModelProperty(value = "祖级列表")
    private String ancestors;
    /** 分类名称 */
    @Excel(name = "分类名称")
    @ApiModelProperty(value = "分类名称")
    private String classifyName;
    /** 危险级别（1是危险，2是普通，3是其他） */
    @Excel(name = "危险级别", readConverterExp = "1=是危险，2是普通，3是其他")
    @ApiModelProperty(value = "危险级别")
    private Integer hazardLevel;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setAncestors(String ancestors)
    {
        this.ancestors = ancestors;
    }

    public String getAncestors()
    {
        return ancestors;
    }
    public void setClassifyName(String classifyName)
    {
        this.classifyName = classifyName;
    }

    public String getClassifyName()
    {
        return classifyName;
    }
    public void setHazardLevel(Integer hazardLevel)
    {
        this.hazardLevel = hazardLevel;
    }

    public Integer getHazardLevel()
    {
        return hazardLevel;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parentId", getParentId())
            .append("ancestors", getAncestors())
            .append("classifyName", getClassifyName())
            .append("hazardLevel", getHazardLevel())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
